kr.co.hanwha.hifive.adapter.viewholder

## Class MainProjectTaskListViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - kr.co.hanwha.hifive.base.BaseViewHolder
    - - kr.co.hanwha.hifive.adapter.viewholder.MainProjectTaskListViewHolder

-     public class MainProjectTaskListViewHolder
      extends BaseViewHolder

  Created by sanghoonkwon on 2018. 2. 20..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private android.widget.ImageView` | `mImageViewStatus`
    `private android.widget.LinearLayout` | `mLayoutContainer`
    `private MainProjectListContract.OnMainProjectListListener` | `mOnMainProjectListListener`
    `private android.widget.TextView` | `mTextViewDueDate`
    `private android.widget.TextView` | `mTextViewLog`
    `private android.widget.TextView` | `mTextViewReceiverName`
    `private android.widget.TextView` | `mTextViewTitle`
    `private int` | `mTotalCount`
    `private android.view.View` | `mViewBottomMargin`
    `private android.view.View` | `mViewBottomPadding`
    `private android.view.View` | `mViewTopPadding`

    - ### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

      `itemView`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainProjectTaskListViewHolder(android.view.ViewGroup viewGroup, MainProjectListContract.OnMainProjectListListener onMainProjectListListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onBind(java.lang.Object object, int index)`
    `void` | `setTotalCount(int totalCount)`

    - ### Methods inherited from class kr.co.hanwha.hifive.base.BaseViewHolder

      `getContext, getHeight`

    - ### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

      `getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mLayoutContainer

          private android.widget.LinearLayout mLayoutContainer

    - #### mImageViewStatus

          private android.widget.ImageView mImageViewStatus

    - #### mTextViewTitle

          private android.widget.TextView mTextViewTitle

    - #### mTextViewDueDate

          private android.widget.TextView mTextViewDueDate

    - #### mTextViewReceiverName

          private android.widget.TextView mTextViewReceiverName

    - #### mViewBottomMargin

          private android.view.View mViewBottomMargin

    - #### mViewTopPadding

          private android.view.View mViewTopPadding

    - #### mViewBottomPadding

          private android.view.View mViewBottomPadding

    - #### mTextViewLog

          private android.widget.TextView mTextViewLog

    - #### mTotalCount

          private int mTotalCount

    - #### mOnMainProjectListListener

          private MainProjectListContract.OnMainProjectListListener mOnMainProjectListListener

  - ### Constructor Detail

    - #### MainProjectTaskListViewHolder

          public MainProjectTaskListViewHolder(@NonNull
                                               android.view.ViewGroup viewGroup,
                                               MainProjectListContract.OnMainProjectListListener onMainProjectListListener)

  - ### Method Detail

    - #### setTotalCount

          public void setTotalCount(int totalCount)

    - #### onBind

          public void onBind(java.lang.Object object,
                             int index)

      Overrides:
        `onBind` in class `BaseViewHolder`